package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.PoOperLog;
import com.ruoyi.system.mapper.PoOperLogMapper;
import com.ruoyi.system.service.IPoOperLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 操作日志记录Service业务层处理
 * @date 2023-01-15
 */
@Service
public class PoOperLogServiceImpl implements IPoOperLogService
{
    @Autowired
    private PoOperLogMapper poOperLogMapper;

    /**
     * 查询操作日志记录
     *
     * @param operId 操作日志记录主键
     * @return 操作日志记录
     */
    @Override
    public PoOperLog selectPoOperLogByOperId(Long operId)
    {
        return poOperLogMapper.selectPoOperLogByOperId(operId);
    }

    /**
     * 查询操作日志记录列表
     *
     * @param poOperLog 操作日志记录
     * @return 操作日志记录
     */
    @Override
    public List<PoOperLog> selectPoOperLogList(PoOperLog poOperLog)
    {
        return poOperLogMapper.selectPoOperLogList(poOperLog);
    }

    /**
     * 新增操作日志记录
     *
     * @param poOperLog 操作日志记录
     * @return 结果
     */
    @Override
    public int insertPoOperLog(PoOperLog poOperLog)
    {
        return poOperLogMapper.insertPoOperLog(poOperLog);
    }

    /**
     * 修改操作日志记录
     *
     * @param poOperLog 操作日志记录
     * @return 结果
     */
    @Override
    public int updatePoOperLog(PoOperLog poOperLog)
    {
        return poOperLogMapper.updatePoOperLog(poOperLog);
    }

    /**
     * 批量删除操作日志记录
     *
     * @param operIds 需要删除的操作日志记录主键
     * @return 结果
     */
    @Override
    public int deletePoOperLogByOperIds(Long[] operIds)
    {
        return poOperLogMapper.deletePoOperLogByOperIds(operIds);
    }

    /**
     * 删除操作日志记录信息
     *
     * @param operId 操作日志记录主键
     * @return 结果
     */
    @Override
    public int deletePoOperLogByOperId(Long operId)
    {
        return poOperLogMapper.deletePoOperLogByOperId(operId);
    }
}

